Meta ads

Creator posts, TikTok Shop videos or approved submissions that can become a Meta ad

GET/api/public/v1/meta_ads/sources
LiveAnswers from your brand's records now.

Operation id listMetaAdSources

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/meta_ads/sources" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
sourcequerystringOne of social_poststik_tok_shop_videossubmissions Default social_posts
campaign_idqueryinteger
campaign_affiliate_idqueryinteger
creator_idqueryinteger
platformquerystringOne of instagramtik_tokyoutubetwitterfacebook
ad_attachmentquerystringOne of allattachednot_attached Default all
start_datequerystring
end_datequerystring
searchquerystring
pagequeryinteger Default 1
per_pagequeryinteger Default 25

Responses

200Success

FieldTypeNotes
dataarray of object
data[].[].campaign_affiliate_idinteger
data[].[].campaign_idinteger
data[].[].creative_sourceobject
data[].[].creative_source.social_post_idstring
data[].[].creatorobject
data[].[].creator.handlestring
data[].[].creator.idinteger
data[].[].creator.namestring
data[].[].existing_meta_ad, nullable
data[].[].gmv, nullable
data[].[].idstring
data[].[].meta_ad_codeobject
data[].[].meta_ad_code.codestring
data[].[].meta_ad_code.statusstring
data[].[].meta_partnership_ad_request_idinteger
data[].[].platformstring
data[].[].posted_atstring
data[].[].productobject
data[].[].product.idinteger
data[].[].product.namestring
data[].[].share_urlstring
data[].[].sourcestring
data[].[].thumbnail_urlstring
data[].[].video_urlstring
data[].[].whitelisting_statusstring
metaobject
meta.has_moreboolean
meta.pageinteger
meta.per_pageinteger
meta.returnedinteger
meta.total_countinteger
meta.total_pagesinteger
sourcestring
successboolean

Example

{
  "data": [
    {
      "campaign_affiliate_id": 1024,
      "campaign_id": 1024,
      "creative_source": {
        "social_post_id": "string"
      },
      "creator": {
        "handle": "string",
        "id": 1024,
        "name": "Example name"
      },
      "existing_meta_ad": "string",
      "gmv": "string",
      "id": "string",
      "meta_ad_code": {
        "code": "MAYA15",
        "status": "string"
      },
      "meta_partnership_ad_request_id": 1024,
      "platform": "string",
      "posted_at": "2026-11-01T15:04:05Z",
      "product": {
        "id": 1024,
        "name": "Example name"
      },
      "share_url": "https://example.com/p/1",
      "source": "string",
      "thumbnail_url": "https://example.com/p/1",
      "video_url": "https://example.com/p/1",
      "whitelisting_status": "string"
    }
  ],
  "meta": {
    "has_more": true,
    "page": 1,
    "per_page": 1,
    "returned": 3,
    "total_count": 3,
    "total_pages": 1
  },
  "source": "string",
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.